This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 134369 - generated initrd omits raid modules
generated initrd omits raid modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 14:40 EDT by Chris Ricker
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 12:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
install log (58.61 KB, text/plain)
2004-10-01 14:53 EDT, Chris Ricker
no flags Details

  None (edit)
Description Chris Ricker 2004-10-01 14:40:16 EDT
Using today's tree (20041001)

A new install on a Dell PowerEdge 2850 (has onboard PERC 4e/Di, uses
the new megaraid_mbox drivers)

Install went cleanly -- raid was autodetected, drivers were
autoloaded, etc.

After install, the system failed to boot - panic mounting /

The mount fails because the raid modules (in my case, megaraid*) and
scsi modules were omitted from the initrd; the only modules present in
the initrd generated during install were ext3 and jbd

Running mkinitrd from rescue mode created a functional initrd which
contained ext3, jbd, megaraid*, scsi modules, etc. and worked
Comment 1 Jeremy Katz 2004-10-01 14:46:11 EDT
Can you provide the /root/install.log?  
Comment 2 Chris Ricker 2004-10-01 14:53:51 EDT
Created attachment 104641 [details]
install log

sure, attached
Comment 3 Jeremy Katz 2004-10-01 15:32:13 EDT
Hrmm.  Is this reproducible?  Are both the smp and up kernel initrds
like this?  
Comment 4 Chris Ricker 2004-10-01 15:38:10 EDT
Both of them are like that, and it's done that on both 2850s I've
tried so far

Here's everything in the initrd (up, in this case):

[root@localhost in3]# ls -lR
.:
total 36
drwxr-xr-x  2 root root 4096 Oct  1 14:38 bin
drwxr-xr-x  2 root root 4096 Oct  1 14:38 dev
drwxr-xr-x  3 root root 4096 Oct  1 14:38 etc
-rwxr-xr-x  1 root root  709 Oct  1 11:56 init
drwxr-xr-x  2 root root 4096 Oct  1 14:38 lib
drwxr-xr-x  2 root root 4096 Oct  1 11:56 loopfs
drwxr-xr-x  2 root root 4096 Oct  1 11:56 proc
lrwxrwxrwx  1 root root    3 Oct  1 14:38 sbin -> bin
drwxr-xr-x  2 root root 4096 Oct  1 11:56 sys
drwxr-xr-x  2 root root 4096 Oct  1 11:56 sysroot

./bin:
total 1560
lrwxrwxrwx  1 root root     10 Oct  1 14:38 hotplug -> /sbin/nash
-rwxr-xr-x  1 root root 433032 Oct  1 11:56 insmod
lrwxrwxrwx  1 root root     10 Oct  1 14:38 modprobe -> /sbin/nash
-rwxr-xr-x  1 root root 482304 Oct  1 11:56 nash
-rwxr-xr-x  1 root root 664080 Oct  1 11:56 udev
lrwxrwxrwx  1 root root      4 Oct  1 14:38 udevstart -> udev

./dev:
total 0
crw-r--r--  1 root root 5, 1 Oct  1 11:56 console
crw-r--r--  1 root root 1, 3 Oct  1 11:56 null
brw-r--r--  1 root root 1, 1 Oct  1 11:56 ram
crw-r--r--  1 root root 4, 0 Oct  1 11:56 systty
crw-r--r--  1 root root 4, 1 Oct  1 11:56 tty1
crw-r--r--  1 root root 4, 2 Oct  1 11:56 tty2
crw-r--r--  1 root root 4, 3 Oct  1 11:56 tty3
crw-r--r--  1 root root 4, 4 Oct  1 11:56 tty4

./etc:
total 4
drwxr-xr-x  2 root root 4096 Oct  1 14:38 udev

./etc/udev:
total 4
-rw-r--r--  1 root root 1403 Oct  1 11:56 udev.conf

./lib:
total 348
-rwxr--r--  1 root root 195024 Sep  1 18:27 ext3.ko
-rwxr--r--  1 root root 148800 Sep  1 18:27 jbd.ko

./loopfs:
total 0

./proc:
total 0

./sys:
total 0

./sysroot:
total 0
[root@localhost in3]# 
Comment 5 Jeremy Katz 2004-10-01 15:41:52 EDT
Can you start the installer and just get to tty2 and see what
/tmp/modules.conf contains?  And mkinitrd just does the right thing
when you run it from rescue mode?

Verrryyy weird.
Comment 6 Chris Ricker 2004-10-01 15:53:16 EDT
/tmp/modprobe.conf has

alias eth0 e1000
alias eth1 e1000

There is no modules.conf....

This and the rescue mode have both been http / ftp using the boot.iso
image out of the tree today.

In rescue mode, I've just done

mkinitrd -f /boot/initrd-mumble.img mumble

(didn't have to force inclusion of scsi or raid)
Comment 7 Jeremy Katz 2004-10-01 16:17:06 EDT
Aha, I think I see what it is.  Should be fixed when I build
anaconda-10.0.3.10.
Comment 8 Chris Ricker 2004-10-04 12:17:39 EDT
Yep, today's tree (20041004) has this fixed

thanks!

Note You need to log in before you can comment on or make changes to this bug.